/* $Id: StandardDocumentPanel.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.smleditor.swingui;

import java.awt.event.ComponentEvent;

import javax.swing.JToolBar;
import javax.swing.event.DocumentListener;

import smart_gs.swingui.toolbar.GSEditorToolBar;
import sml_editor.swingui.AbstractEditorPanel;
import sml_editor.swingui.EditorFrame;
import sml_editor.swingui.EditorMouseListener;
import sml_editor.swingui.EditorTextPane;


@SuppressWarnings("serial")
public class StandardDocumentPanel extends AbstractEditorPanel{
	
	
	public StandardDocumentPanel(EditorFrame parent,EditorTextPane textPane) {
		super(parent,textPane);
	}
	@Override
	public DocumentListener getDocumentListener() {
		return new GSWysiwygDocumentListener((GSEditorTextPane) this.textPane);
	}
	@Override
	public EditorMouseListener getMouseListener() {
		return new GSWysiwygMouseListener((GSEditorTextPane) this.textPane);
	}
	@Override
	public void componentHidden(ComponentEvent e) {
		// no operation
	}
	@Override
	public void componentShown(ComponentEvent e) {
		// no operation
	}
	@Override
	public JToolBar getToolbar() {
		return new GSEditorToolBar((GSEditorTextPane)this.textPane);
	}
}
